<?xml version='1.0' encoding='utf-8'?>
<!DOCTYPE hibernate-configuration PUBLIC
        "-//Hibernate/Hibernate Configuration DTD//EN"
        "http://www.hibernate.org/dtd/hibernate-configuration-3.0.dtd">
<hibernate-configuration>
    <session-factory>
        <!-- С ЧЕМ БУДЕМ РАБОТАТЬ-->
        <property name="connection.url">
            jdbc:postgresql://localhost:5432/postgres
        </property>
        <!-- ПОД КЕМ МЫ БУДЕМ РАБОТАТЬ-->
        <property name="connection.username">
            postgres
        </property>
        <!-- ПАРОЛЬ ТОГО, ПОД КЕМ МЫ БУДЕМ РАБОТАТЬ-->
        <property name="connection.password">
            password
        </property>
        <!-- С ЧЕМ МЫ БУДЕМ РАБОТАТЬ-->
        <property name="connection.driver_class">
            org.postgresql.Driver
        </property>

        <property name="hibernate.hbm2ddl.auto">update</property>

        <!-- Доп настройки для удобства чтения логов -->
        <property name="show_sql">true</property>
        <property name="format_sql">true</property>


        <mapping class="intro.Animal"/>
        <mapping class="oneToOne.Person"/>
        <mapping class="oneToOne.Passport"/>
        <mapping class="oneToMany.Airplane"/>
        <mapping class="oneToMany.Passenger"/>

    </session-factory>
</hibernate-configuration>